Page MenuHomeFreeBSD

editors/emacs: Update to 28.2
ClosedPublic

Authored by yasu on Sep 17 2022, 2:28 AM.
Tags
None
Referenced Files
Unknown Object (File)
Fri, Jul 5, 10:34 PM
Unknown Object (File)
Fri, Jun 28, 9:18 PM
Unknown Object (File)
Fri, Jun 28, 7:03 AM
Unknown Object (File)
May 28 2024, 6:20 PM
Unknown Object (File)
May 6 2024, 10:36 AM
Unknown Object (File)
May 4 2024, 8:21 PM
Unknown Object (File)
Apr 24 2024, 11:35 AM
Unknown Object (File)
Apr 24 2024, 11:35 AM
Subscribers

Details

Summary
  • Remove FCITXPATCH option as extra-patch-src_xfns.c can't be applied since 28.1.
  • Tidy up Makefile with portfmt.
  • Bump PORTREVISION of consumers.

ChangeLog: https://www.gnu.org/software/emacs/news/NEWS.28.2

Test Plan
  • Build of all flavors succeeds with poudriere and 13.1-RELEASE amd64 jail.
  • For each option, set it to non-default value and confirmed build succeeds with it
  • Plan to request exp-run.

Diff Detail

Repository
R11 FreeBSD ports repository
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

yasu requested review of this revision.Sep 17 2022, 2:28 AM
  • Chase update of ports tree.
  • Update commit messages so they include reference to PR and review.

With the default flavor everything built successfully except japanese/lookup. There seems to be a core dump during the QA stage. I'll take a closer look, but it might take me a day.

http://pkg.ftfl.ca/data/14amd64-default/2022-09-19_13h53m54s/logs/errors/ja-lookup-1.99.96.20180209_11.log

No build failures on 13.x (AMD64), and is working well.

Thanks for working on it.

The problems with japanese/lookup on CURRENT are not related to this update and are probably not with the port itself, but with Mk/Scripts/qa.sh.

This revision was not accepted when it landed; it landed in state Needs Review.Sep 21 2022, 7:50 AM
This revision was automatically updated to reflect the committed changes.